### Type parameters

- #### TValue

### Hierarchy

- LoDashExplicitWrapper

## Index

### Methods

- castArray
- clone
- cloneDeep
- cloneDeepWith
- cloneWith
- conformsTo
- eq
- gt
- gte
- isArguments
- isArray
- isArrayBuffer
- isArrayLike
- isArrayLikeObject
- isBoolean
- isBuffer
- isDate
- isElement
- isEmpty
- isEqual
- isEqualWith
- isError
- isFinite
- isFunction
- isInteger
- isLength
- isMap
- isMatch
- isMatchWith
- isNaN
- isNative
- isNil
- isNull
- isNumber
- isObject
- isObjectLike
- isPlainObject
- isRegExp
- isSafeInteger
- isSet
- isString
- isSymbol
- isTypedArray
- isUndefined
- isWeakMap
- isWeakSet
- lt
- lte
- toArray
- toFinite
- toInteger
- toLength
- toNumber
- toPlainObject
- toSafeInteger

## Methods

### castArray

- castArray<T>(this: LoDashExplicitWrapper<Many<T>>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:26
  see

    _.castArray

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<Many<T>>

  #### Returns LoDashExplicitWrapper<T[]>

### clone

- clone(): this

- - Defined in node_modules/@types/lodash/common/lang.d.ts:57
  see

    _.clone

  #### Returns this

### cloneDeep

- cloneDeep(): this

- - Defined in node_modules/@types/lodash/common/lang.d.ts:83
  see

    _.cloneDeep

  #### Returns this

### cloneDeepWith

- cloneDeepWith(customizer: CloneDeepWithCustomizer<TValue>): LoDashExplicitWrapper<any>
- cloneDeepWith(): this

- - Defined in node_modules/@types/lodash/common/lang.d.ts:127
  see

    _.cloneDeepWith

  #### Parameters

  - ##### customizer: CloneDeepWithCustomizer<TValue>

  #### Returns LoDashExplicitWrapper<any>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:134
  see

    _.cloneDeepWith

  #### Returns this

### cloneWith

- cloneWith<TResult>(customizer: CloneWithCustomizer<TValue, TResult>): LoDashExplicitWrapper<TResult>
- cloneWith<TResult>(customizer: CloneWithCustomizer<TValue, TResult | undefined>): LoDashExplicitWrapper<TResult | TValue>
- cloneWith(): this

- - Defined in node_modules/@types/lodash/common/lang.d.ts:194
  see

    _.cloneWith

  #### Type parameters

  - #### TResult: object | string | number | boolean | null

  #### Parameters

  - ##### customizer: CloneWithCustomizer<TValue, TResult>

  #### Returns LoDashExplicitWrapper<TResult>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:201
  see

    _.cloneWith

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### customizer: CloneWithCustomizer<TValue, TResult | undefined>

  #### Returns LoDashExplicitWrapper<TResult | TValue>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:208
  see

    _.cloneWith

  #### Returns this

### conformsTo

- conformsTo<T>(this: LoDashExplicitWrapper<T>, source: ConformsPredicateObject<T>): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:235
  see

    _.conformsTo

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T>

  - ##### source: ConformsPredicateObject<T>

  #### Returns LoDashExplicitWrapper<boolean>

### eq

- eq(other: any): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:291
  see

    _.eq

  #### Parameters

  - ##### other: any

  #### Returns LoDashExplicitWrapper<boolean>

### gt

- gt(other: any): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:323
  see

    _.gt

  #### Parameters

  - ##### other: any

  #### Returns LoDashExplicitWrapper<boolean>

### gte

- gte(other: any): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:353
  see

    _.gte

  #### Parameters

  - ##### other: any

  #### Returns LoDashExplicitWrapper<boolean>

### isArguments

- isArguments(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:379
  see

    _.isArguments

  #### Returns LoDashExplicitWrapper<boolean>

### isArray

- isArray(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:410
  see

    _.isArray

  #### Returns LoDashExplicitWrapper<boolean>

### isArrayBuffer

- isArrayBuffer(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:436
  see

    _.isArrayBuffer

  #### Returns LoDashExplicitWrapper<boolean>

### isArrayLike

- isArrayLike(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:488
  see

    _.isArrayLike

  #### Returns LoDashExplicitWrapper<boolean>

### isArrayLikeObject

- isArrayLikeObject(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:541
  see

    _.isArrayLikeObject

  #### Returns LoDashExplicitWrapper<boolean>

### isBoolean

- isBoolean(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:567
  see

    _.isBoolean

  #### Returns LoDashExplicitWrapper<boolean>

### isBuffer

- isBuffer(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:593
  see

    _.isBuffer

  #### Returns LoDashExplicitWrapper<boolean>

### isDate

- isDate(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:619
  see

    _.isDate

  #### Returns LoDashExplicitWrapper<boolean>

### isElement

- isElement(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:645
  see

    _.isElement

  #### Returns LoDashExplicitWrapper<boolean>

### isEmpty

- isEmpty(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:672
  see

    _.isEmpty

  #### Returns LoDashExplicitWrapper<boolean>

### isEqual

- isEqual(other: any): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:722
  see

    _.isEqual

  #### Parameters

  - ##### other: any

  #### Returns LoDashExplicitWrapper<boolean>

### isEqualWith

- isEqualWith(other: any, customizer?: IsEqualCustomizer): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:782
  see

    _.isEqualWith

  #### Parameters

  - ##### other: any

  - ##### Optional customizer: IsEqualCustomizer

  #### Returns LoDashExplicitWrapper<boolean>

### isError

- isError(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:812
  see

    _.isError

  #### Returns LoDashExplicitWrapper<boolean>

### isFinite

- isFinite(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:840
  see

    _.isFinite

  #### Returns LoDashExplicitWrapper<boolean>

### isFunction

- isFunction(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:866
  see

    _.isFunction

  #### Returns LoDashExplicitWrapper<boolean>

### isInteger

- isInteger(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:908
  see

    _.isInteger

  #### Returns LoDashExplicitWrapper<boolean>

### isLength

- isLength(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:950
  see

    _.isLength

  #### Returns LoDashExplicitWrapper<boolean>

### isMap

- isMap(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:976
  see

    _.isMap

  #### Returns LoDashExplicitWrapper<boolean>

### isMatch

- isMatch(source: object): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1018
  see

    _.isMatch

  #### Parameters

  - ##### source: object

  #### Returns LoDashExplicitWrapper<boolean>

### isMatchWith

- isMatchWith(source: object, customizer: isMatchWithCustomizer): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1069
  see

    _.isMatchWith

  #### Parameters

  - ##### source: object

  - ##### customizer: isMatchWithCustomizer

  #### Returns LoDashExplicitWrapper<boolean>

### isNaN

- isNaN(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1097
  see

    _.isNaN

  #### Returns LoDashExplicitWrapper<boolean>

### isNative

- isNative(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1123

  see _.isNative

  #### Returns LoDashExplicitWrapper<boolean>

### isNil

- isNil(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1160

  see _.isNil

  #### Returns LoDashExplicitWrapper<boolean>

### isNull

- isNull(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1186

  see _.isNull

  #### Returns LoDashExplicitWrapper<boolean>

### isNumber

- isNumber(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1214

  see _.isNumber

  #### Returns LoDashExplicitWrapper<boolean>

### isObject

- isObject(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1241

  see _.isObject

  #### Returns LoDashExplicitWrapper<boolean>

### isObjectLike

- isObjectLike(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1282

  see _.isObjectLike

  #### Returns LoDashExplicitWrapper<boolean>

### isPlainObject

- isPlainObject(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1311

  see _.isPlainObject

  #### Returns LoDashExplicitWrapper<boolean>

### isRegExp

- isRegExp(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1337

  see _.isRegExp

  #### Returns LoDashExplicitWrapper<boolean>

### isSafeInteger

- isSafeInteger(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1380

  see _.isSafeInteger

  #### Returns LoDashExplicitWrapper<boolean>

### isSet

- isSet(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1406
  see

    _.isSet

  #### Returns LoDashExplicitWrapper<boolean>

### isString

- isString(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1432

  see _.isString

  #### Returns LoDashExplicitWrapper<boolean>

### isSymbol

- isSymbol(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1466

  see _.isSymbol

  #### Returns LoDashExplicitWrapper<boolean>

### isTypedArray

- isTypedArray(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1492

  see _.isTypedArray

  #### Returns LoDashExplicitWrapper<boolean>

### isUndefined

- isUndefined(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1518

  see _.isUndefined

  #### Returns LoDashExplicitWrapper<boolean>

### isWeakMap

- isWeakMap(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1544
  see

    _.isSet

  #### Returns LoDashExplicitWrapper<boolean>

### isWeakSet

- isWeakSet(): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1570
  see

    _.isWeakSet

  #### Returns LoDashExplicitWrapper<boolean>

### lt

- lt(other: any): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1600
  see

    _.lt

  #### Parameters

  - ##### other: any

  #### Returns LoDashExplicitWrapper<boolean>

### lte

- lte(other: any): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1630
  see

    _.lte

  #### Parameters

  - ##### other: any

  #### Returns LoDashExplicitWrapper<boolean>

### toArray

- toArray<T>(this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>): LoDashExplicitWrapper<T[]>
- toArray<T>(this: LoDashImplicitWrapper<T>): LoDashExplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1671
  see

    _.toArray

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1676
  see

    _.toArray

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T>

  #### Returns LoDashExplicitWrapper<Array<T[keyof T]>>

### toFinite

- toFinite(): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1717
  see

    _.toFinite

  #### Returns LoDashExplicitWrapper<number>

### toInteger

- toInteger(): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1759
  see

    _.toInteger

  #### Returns LoDashExplicitWrapper<number>

### toLength

- toLength(): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1802
  see

    _.toLength

  #### Returns LoDashExplicitWrapper<number>

### toNumber

- toNumber(): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1842
  see

    _.toNumber

  #### Returns LoDashExplicitWrapper<number>

### toPlainObject

- toPlainObject(): LoDashExplicitWrapper<any>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1869
  see

    _.toPlainObject

  #### Returns LoDashExplicitWrapper<any>

### toSafeInteger

- toSafeInteger(): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1910
  see

    _.toSafeInteger

  #### Returns LoDashExplicitWrapper<number>

Generated using TypeDoc